**`Sampath Kumar Reddy Yellampalli`[NAME]** -NL- Flat No 04, 2rdfloor, No. 45, Kasturi Nivasa, 19 C Cross, 7th Main, BTM 2nd Stage, N S Palya, -NL- Bangalore – 560076. -NL- **`sampathkumar.reddy@outlook.com`[EMAILS_EMAIL]** -NL- **`+91-9845998558`[PHONES_PHONE]** -NL- **`Objective:`[SUMMARY_HEADING]** -NL- To seek a career in an Industry that gives ample opportunities to prove my abilities -NL- and to improve my skills, thus work in the environment so as to enrich my capabilities by -NL- providing the best. -NL- **`Summary:`[SUMMARY_HEADING]** -NL- - 8.5 years of experience in IT industry, covers in-depth understanding of software -NL- development aspects and problem solving skills as a Senior Engineer. -NL- - Experience in design and development of applications using HTML5, OO Java Script, -NL- CSS3, jQuery, AJAX, Responsive Web Design, XML, UML and OOAD. -NL- - Very good Knowledge in C, C++, Java, Data Structures and Design Patterns. -NL- - Extensive knowledge of Data structures and Algorithms. -NL- - Strong Debugging skills. Excellent programming and Interpersonal skills. Team -NL- player. -NL- - Knowledge on Version Control System like Clear Case and MKS, Git. -NL- - Keen learner with constant zest to acquire new skills. -NL- **`Experience:`[WORK_EXPERIENCE_HEADING]** -NL- - Working for **`Indecomm Digital Services – Ingenico Group`[EMPLOYER_COMPANY_NAME]** as **`Technical Lead -NL- Engineer`[EMPLOYER_ROLE]** from October 2017 to till date. -NL- - Worked for **`247 Customer Pvt Ltd`[EMPLOYER_COMPANY_NAME]** as **`Senior Software Engineer`[EMPLOYER_ROLE]** from May 2015 to -NL- September 2017. -NL- - Worked for **`BOSCH INDIA PVT LIMITED`[EMPLOYER_COMPANY_NAME]** as **`Senior Software Engineer`[EMPLOYER_ROLE]** from May 2014 -NL- to April 2015. -NL- - Worked for **`ORACLE INDIA PRIVATE LIMITED`[EMPLOYER_COMPANY_NAME]** as **`Software Engineer`[EMPLOYER_ROLE]** from January -NL- 2011 to April 2014. -NL- **`Technical skills:`[SKILLS_HEADING]** -NL- Web Technologies: HTML5, CSS3, jQuery, AJAX, JSON, XML, Responsive Web -NL- Design, Bootstrap, Node JS, Angular JS and React JS. -NL- Scripting Languages : OO Java Script, Shell Script -NL- Languages : C, C++, Core Java, Data Structures, Multithreading. -NL- Databases : Oracle, DB2, MSSQL, Mongo DB. -NL- Operating Systems : Windows, Ubuntu. -NL- Automation : Selenium Java script and Java, QTP, Google Test. -NL- Version Controls : Clear case, MKS, GIT, GERRIT. -NL- Others : Microsoft Visual Studio, Eclipse, Start UML, Siebel tools, Jenkins. -NL- **`Projects:`[OTHERS_HEADING]** -NL- **`Tetra Web OS`[PROJECT_TITLE]** -NL- May 2015-Sep 2017 -NL- This project mainly deals with various UI interactions that customer and -NL- merchant do during their payment transactions, user navigations with Ingenico Payment -NL- terminals. -NL- Role : Involved in solution Identification, feature implementation, -NL- deployment, automation and Bugfixing. -NL- Team Size -NL- 4 -NL- : -NL- Technologies HTML5, CSS3, OO Java Script, AJAX, jQuery, JSON, Node JS, C++, -NL- : Linux, Design Patterns, Data Structures, WINDOWS. -NL- Responsibilities -NL- - Handled various modules to alter the legacy call stack and coded the same as per the -NL- new requirements. -NL- - Automated entire tetra Web OS screens using java script selenium. -NL- **`[24]7 Chat Framework`[PROJECT_TITLE]** -NL- May 2015-Sep 2017 -NL- This project mainly deals with aspects of chat functionalities in 247 chat -NL- solutions tagged in the client website. The tagged 247 chat solution helps the visitors to -NL- contact the agents to resolve their day to day queries on clients like credit One bank, Sears -NL- online, Hilton, Airtel products like credit cards, shopping orders, bill payments and so on. This -NL- Solution also allows tracking the journeys of visitor interactions in details to predict the -NL- visitor behavior and to mine the user navigations to identify the user interests. There by -NL- raising the revenue for clients. -NL- Role : Involved in solution implementation & deployment, feature -NL- implementation and Bugfixing. -NL- Team Size -NL- 8 -NL- : -NL- Technologies HTML5, CSS3, OO Java Script, AJAX, jQuery, JSON, Angular JS, -NL- : Node JS, C++, Linux, Design Patterns, Data Structures, WINDOWS. -NL- - Involved in test case implementation of user journeys of chat interactions and -NL- its maintenance. -NL-**` Universal Security Alarm Systems`[PROJECT_TITLE]** -NL- May 2014-April 2014 -NL- This project involved in handling UI related aspects of functionality related to -NL- instantiating devices like sensors and processing the data sent by sensors to control panel in -NL- a secure manner using Open SSL and generating the alarm signals without any time lag to -NL- the respective notification centers. -NL- Team Size -NL- 11 -NL- : -NL- HTML5, CSS3, OO Java Script, AJAX, jQuery, JSON, MKS, C++, -NL- Technologies -NL- Linux, Design Patterns, Data Structures, ORACLE, DB2, WINDOWS, -NL- : -NL- UNIX. -NL- - Implementation of new features and enhancements and bug fixing, automation -NL- using google Test. -NL- Siebel Core UI Framework (Open UI -NL- March 2013-April 2014 -NL- Responsive Web Design) -NL- This project involved in changing the legacy open UI call stack to a new call -NL- stack so as to give more scope for configuration, usability and customization for all Siebel -NL- applications. Also involved in elimination of existing parsing logic for the templatefiles and -NL- removing Siebel specific renderers for various UI elements in Siebel applications, there by -NL- building Siebel applications as typical web based applications and responsive. -NL- Team Size -NL- 12 -NL- : -NL- HTML5, CSS3, OO Java Script, jQuery, AJAX, JSON, Clear Case, C+ -NL- Technologies -NL- +, Core Java, Design Patterns, Data Structures, ORACLE, DB2, -NL- : -NL- WINDOWS, UNIX, Siebel tools. -NL- Responsibilities -NL- - Handled various modules to alter the legacy call stack and coded the same as per the -NL- new requirements. -NL- - Mainly Applets and overall application’s property set integrity maintained. -NL- SIEBEL HOSPITALITY - Function -NL- February 2012 - -NL- Space Diary -NL- March 2013 -NL- The Function Space Diary is a Gantt Chart used by sales representatives, event -NL- managers, and revenue managers to manage day-to-day bookings of function space and to -NL- optimize event operations. The Function Space Diary shows function space bookings over -NL- various time periods and allow event personnel to change the timescale. -NL- Team Size 10 -NL- : -NL- HTML5, CSS3, OO Java Script, jQuery, AJAX, JSON, Clear Case, C++, -NL- Technologies -NL- Core Java, Design Patterns, Data Structures, ORACLE, DB2, -NL- : -NL- WINDOWS, UNIX. -NL- Responsibilities : -NL- - Full implementation of Time Scale, Resource pane. -NL- - HTML structure stabilization with HTML5, styling through CSS3 for the whole -NL- scheduler. -NL- - Handling enhancements on this project and made control as responsive. -NL- SIEBEL HOSPITALITY - Meeting -NL- January 2011 – -NL- Packages -NL- February 2012 -NL- A meeting package is a packaged collection of meeting event essentials that can -NL- include meeting rooms, catering, audio-visual equipment, and sleeping rooms. A meeting -NL- package encompasses a function agenda, function spaces, and, optionally, non-function line -NL- items. Each meeting package applies to a specific property, and is usually available at a -NL- promotional price. A property can have multiple meeting packages that can be applied to -NL- specific events. -NL- Team size 10 -NL- : -NL- Technologies C++, Design Patterns, Data Structures, HTML, CSS1-2, Java Script, -NL- : jQuery, JSON, Clear Case, ORACLE, DB2, WINDOWS, UNIX. -NL- Responsibilities : -NL- - Completely designed and developed admin part of meeting packages. -NL- - Involved in design and development of whole project. -NL- **`Academia:`[EDUCATION_HEADING]** -NL- **`M. Tech`[EDUCATION_DEGREE]** in **`Software Engineering`[EDUCATION_COURSE]** from **`Jawaharlal Nehru Technological University, Anantapur, Andhra`[EDUCATION_INSTITUTE]** -NL- 2015-2017 -NL- 2006-2010 -NL- Pradesh(pursuing) -NL- **`B. Tech`[EDUCATION_DEGREE]** in Computer Science and Engineering from -NL- 77.47% -NL- **`Jawaharlal Nehru Technological University, Anantapur`[EDUCATION_INSTITUTE]**, -NL- Andhra Pradesh : -NL- **`Intermediate`[EDUCATION_DEGREE]** Public Education from Board of -NL- 95.70% -NL- 2004-2006 -NL- **`Intermediate`[EDUCATION_DEGREE]** Education : -NL- **`Secondary School Certificate`[EDUCATION_DEGREE]** from Board of Secondary Education -NL- 2003- -NL- 92.67% -NL- : -NL- 2004 -NL- Accolades: -NL- - Won the prizes for winning cricket match on ORA OLYMPICS. -NL- - Got free seat for **`Intermediate`[EDUCATION_DEGREE]** Education from Sri Chaitanya Educational Institutions -NL- - Topper in Tenth class and best outgoing student from the School. -NL- **`Hobbies:`[OTHERS_HEADING]** -NL- - Playing Cricket, Cooking and Bike Riding. -NL- **`Declaration:`[OTHERS_HEADING]** -NL- I do here by solemnly declare that the particulars furnished above are true and correct to -NL- the best of my Knowledge and belief. -NL- Date: -NL- (Signature) -NL- Place: -NL- Sampath Kumar -NL- Reddy Yellampalli -NL- 